"use strict";

require("core-js/modules/es.weak-map.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardStars = void 0;
require("core-js/modules/web.dom-collections.iterator.js");
var _react = _interopRequireWildcard(require("react"));
var _utils = require("../../utils");
var _pngs = require("../../pngs");
require("./CoalitionCardStars.scss");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const CoalitionCardStars = _ref => {
  let {
    card = {},
    promoClicked
  } = _ref;
  const {
    mobile_image,
    desktop_image,
    short_title,
    title,
    start_date
  } = card;
  const [productMobile, solveImgMobile] = (0, _react.useState)();
  const [productDesktop, solveImgDesktop] = (0, _react.useState)();
  const now = new Date(Date.now());
  const start = new Date(start_date);
  (0, _react.useEffect)(() => {
    const buildImg = (url, callback) => {
      let i = new Image();
      i.onload = () => callback((0, _utils.getImg)(url));
      i.onerror = () => callback((0, _utils.getImg)(_pngs.not_available_horizontal));
      i.src = url;
    };
    buildImg(mobile_image, solveImgMobile);
    buildImg(desktop_image, solveImgDesktop);
  }, [desktop_image, mobile_image]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, now >= start ? /*#__PURE__*/_react.default.createElement("div", {
    className: "stars-card",
    onClick: promoClicked
  }, productMobile ? /*#__PURE__*/_react.default.createElement("div", {
    className: "product mobile"
  }, productMobile) : null, productDesktop ? /*#__PURE__*/_react.default.createElement("div", {
    className: "product desktop"
  }, productDesktop) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: "promo-title"
  }, short_title !== null && short_title !== void 0 ? short_title : title), /*#__PURE__*/_react.default.createElement(TagDrawer, {
    card: card
  })) : null);
};
exports.CoalitionCardStars = CoalitionCardStars;
const TagDrawer = _ref2 => {
  let {
    card,
    label,
    klass
  } = _ref2;
  const {
    launch_date,
    start_date,
    end_date,
    points,
    // if points, enrolled and receiving stars
    winners
  } = card;
  const enrolled = points !== undefined;
  const stars = !enrolled ? null : !points ? 0 : points;
  const now = new Date(Date.now());
  const start = new Date(start_date);
  const launch = new Date(launch_date);
  const end = end_date ? new Date(end_date) : null;
  if (now >= start) {
    // is showable
    if (now >= launch) {
      if (enrolled) {
        if (end) {
          if (now < end) {
            // available yet
            label = "".concat(stars, " estrellas");
            klass = "enrolled";
          } else {
            // time lapse ended
            if (winners) {
              label = "Entérate si ganaste 🏆";
              klass = "winner-check";
            } else {
              label = "Espera el resultado ⏰";
              klass = "winner-pending";
            }
          }
        } else {
          // no end_date provided
          label = "".concat(stars, " estrellas");
          klass = "enrolled";
        }
      } else {
        label = "Participa ahora 🎉";
        klass = "enroll-now";
      }
    } else {
      label = "Muy pronto 🤩";
      klass = "comming-soon";
    }
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "promo-status ".concat(klass)
  }, /*#__PURE__*/_react.default.createElement("label", null, stars >= 0 && now >= launch && (end ? now < end : true) && enrolled ? /*#__PURE__*/_react.default.createElement("img", {
    src: _pngs.stars_count,
    alt: "# stars"
  }) : null, label)));
};