"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageButton = exports.NavButton = exports.CoalitionSpinner = exports.CoalitionProgressBar = exports.CoalitionButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _pngs = require("../../pngs");
var _utils = require("../../utils");
require("./CoalitionComplements.scss");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionSpinner = () => /*#__PURE__*/_react.default.createElement("div", {
  className: "spinner",
  children: /*#__PURE__*/_react.default.createElement("div", {
    className: "loading"
  })
});
exports.CoalitionSpinner = CoalitionSpinner;
const CoalitionProgressBar = _ref => {
  let {
    max,
    current
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("progress", {
    max: max,
    value: current,
    className: current >= max ? "ready" : ""
  });
};
exports.CoalitionProgressBar = CoalitionProgressBar;
const CoalitionButton = _ref2 => {
  let {
    label = "Button Label",
    style = {},
    klass = "",
    disabled = false,
    onClickEvent = e => (0, _utils.noFunc)("CoalitionButton", e),
    children
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    className: "coalition-button ".concat(klass),
    disabled: disabled,
    style: style,
    onClick: onClickEvent
  }, children ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, children) : null, label);
};
exports.CoalitionButton = CoalitionButton;
const NavButton = _ref3 => {
  let {
    title,
    buttonClicked
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(CoalitionButton, {
    label: title,
    klass: "nav-button",
    onClickEvent: buttonClicked
  }, (0, _utils.getImg)(_pngs.chevron_left, "back-icon")));
};
exports.NavButton = NavButton;
const PageButton = _ref4 => {
  let {
    buttonClicked
  } = _ref4;
  return /*#__PURE__*/_react.default.createElement(CoalitionButton, {
    label: "Volver al Inicio",
    klass: "coalition-button-go-dashboard",
    onClickEvent: buttonClicked
  });
};
exports.PageButton = PageButton;