"use strict";

require("core-js/modules/es.weak-map.js");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StarsDetailPage = void 0;
require("core-js/modules/es.symbol.description.js");
require("core-js/modules/web.dom-collections.iterator.js");
var _react = _interopRequireWildcard(require("react"));
var _components = require("../components");
var _utils = require("../utils");
var _pngs = require("../pngs");
require("./Pages.scss");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const StarsDetailPage = _ref => {
  let {
    card,
    subscribeButtonClicked
  } = _ref;
  const {
    // offer_id, // Not used yet
    short_title,
    launch_date,
    start_date,
    end_date,
    mobile_image,
    desktop_image,
    points,
    // if points, enrolled and receiving stars
    title,
    description,
    awards,
    allowed_products,
    // forbidden_products, // Not used yet
    terms_and_conditions,
    winners
  } = card;
  const [productMobile, solveImgMobile] = (0, _react.useState)();
  const [productDesktop, solveImgDesktop] = (0, _react.useState)();
  const enrolled = points !== undefined;
  const stars = !enrolled ? null : !points ? 0 : points;
  (0, _react.useEffect)(() => {
    const buildImg = (url, callback) => {
      let i = new Image();
      i.onload = () => callback((0, _utils.getImg)(url));
      i.onerror = () => callback((0, _utils.getImg)(_pngs.not_available_horizontal));
      i.src = url;
    };
    buildImg(mobile_image, solveImgMobile);
    buildImg(desktop_image, solveImgDesktop);
  }, [desktop_image, mobile_image]);
  const now = new Date(Date.now());
  const start = new Date(start_date);
  const launch = new Date(launch_date);
  const end = end_date ? new Date(end_date) : null;
  let waittingWinners = false;
  if (now >= start) {
    if (now >= launch) {
      if (enrolled) {
        if (end) {
          if (now >= end) {
            if (!winners) {
              waittingWinners = true;
            }
          }
        }
      }
    }
  }
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "card-detail-stars"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "stars-content"
  }, productMobile ? /*#__PURE__*/_react.default.createElement("div", {
    className: "product mobile"
  }, productMobile) : null, productDesktop ? /*#__PURE__*/_react.default.createElement("div", {
    className: "product desktop"
  }, productDesktop) : null, enrolled ? /*#__PURE__*/_react.default.createElement(EnrolledTag, {
    points: stars
  }) : null, waittingWinners ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "promo-status winner-pending"
  }, /*#__PURE__*/_react.default.createElement("label", null, "Espera el resultado \u23F0"))) : null, title ? /*#__PURE__*/_react.default.createElement("div", {
    className: "title"
  }, title) : null, description ? /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, description) : null, awards ? /*#__PURE__*/_react.default.createElement(PrizesDrawer, {
    awards: awards
  }) : null, /*#__PURE__*/_react.default.createElement(StepsDrawer, {
    shortTitle: short_title !== null && short_title !== void 0 ? short_title : title,
    allowedProducts: allowed_products
  }), terms_and_conditions ? /*#__PURE__*/_react.default.createElement(TermsDrawer, {
    terms: terms_and_conditions
  }) : null, enrolled ? null : /*#__PURE__*/_react.default.createElement("div", {
    style: {
      textAlign: "center"
    }
  }, /*#__PURE__*/_react.default.createElement(_components.CoalitionButton, {
    label: "Participar",
    klass: "coalition-button-suscribe-promo",
    onClickEvent: subscribeButtonClicked
  })), /*#__PURE__*/_react.default.createElement("div", {
    style: {
      height: 34
    }
  }))));
};
exports.StarsDetailPage = StarsDetailPage;
const EnrolledTag = _ref2 => {
  let {
    points = 0
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "enrolled-tag"
  }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("img", {
    src: _pngs.stars_earned,
    alt: "estrellas acumuladas",
    width: 68,
    height: 69,
    style: {
      marginTop: 6
    }
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "enrolled-label"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "enrolled-number"
  }, "".concat(points)), " ", /*#__PURE__*/_react.default.createElement("div", {
    className: "enrolled-text"
  }, "estrellas ganadas")));
};
const PrizesDrawer = _ref3 => {
  let {
    awards
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "awards"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "awards-label"
  }, "Puedes ganar"), awards.map((item, idx) => /*#__PURE__*/_react.default.createElement("div", {
    key: idx,
    className: "prize"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "prize-label"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: _pngs.stars_prize,
    alt: "icon"
  }), /*#__PURE__*/_react.default.createElement("label", null, item.label)), /*#__PURE__*/_react.default.createElement("div", {
    className: "prize-values"
  }, item.label_awards.map((award, idx) => /*#__PURE__*/_react.default.createElement("div", {
    key: idx,
    className: "prize-value"
  }, award)))))));
};
const StepsDrawer = _ref4 => {
  let {
    shortTitle,
    allowedProducts,
    idx = 0
  } = _ref4;
  const [m, setM] = (0, _react.useState)();
  const [shown, setShown] = (0, _react.useState)(false);
  const c = () => setShown(false);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "how-to"
  }, /*#__PURE__*/_react.default.createElement("div", null, "\xBFC\xF3mo participar?"), /*#__PURE__*/_react.default.createElement("div", {
    className: "steps"
  }, shortTitle ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "step"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "bullet-number"
  }, ++idx), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, "Registrate a la din\xE1mica \"".concat(shortTitle, "\" desde la app de Mi OXXO")))) : null, allowedProducts && allowedProducts.length > 0 ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "step"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "bullet-number"
  }, ++idx), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, "Visita el OXXO de tu preferencia y compra:", /*#__PURE__*/_react.default.createElement("ul", {
    className: "products-list"
  }, allowedProducts.slice(0, 3).map((product, idx) => /*#__PURE__*/_react.default.createElement("li", {
    key: idx
  }, product)), allowedProducts.length > 3 ? /*#__PURE__*/_react.default.createElement("div", {
    onClick: () => setShown(true),
    className: "show-more"
  }, "Consulta todos los productos participantes") : null), shown ? /*#__PURE__*/_react.default.createElement(_components.CoalitionModal, {
    modalRef: n => setM(n),
    closeModal: () => c(),
    onKeyDown: e => e.keyCode === 27 ? c() : null,
    onClickOutside: e => m && m.contains(e.target) ? null : c(),
    title: "Productos participantes"
  }, /*#__PURE__*/_react.default.createElement("ul", {
    className: "products-list"
  }, allowedProducts.map((product, idx) => /*#__PURE__*/_react.default.createElement("li", {
    key: idx
  }, product)))) : null))) : null, /*#__PURE__*/_react.default.createElement("div", {
    className: "step"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "bullet-number"
  }, ++idx), /*#__PURE__*/_react.default.createElement("div", {
    className: "description"
  }, "Escanea tu tarjeta f\xEDsica o digital", " ", /*#__PURE__*/_react.default.createElement("b", null, "Spin Premia u OXXO PREMIA"), " en todas tus compras")))));
};
const TermsDrawer = _ref5 => {
  let {
    terms
  } = _ref5;
  const [m, setM] = (0, _react.useState)();
  const [shown, setShown] = (0, _react.useState)(false);
  const c = () => setShown(false);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
    className: "terms-and-conditions"
  }, "Al participar reconoces ser mayor de edad, as\xED como haber le\xEDdo y aceptado los", " ", /*#__PURE__*/_react.default.createElement("span", {
    onClick: () => setShown(true),
    className: "show-terms"
  }, "T\xE9rminos y Condiciones"), " ", "de la din\xE1mica"), shown ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_components.CoalitionModal, {
    modalRef: n => setM(n),
    closeModal: () => c(),
    onKeyDown: e => e.keyCode === 27 ? c() : null,
    onClickOutside: e => m && m.contains(e.target) ? null : c(),
    title: "Términos y condiciones"
  }, /*#__PURE__*/_react.default.createElement(_utils.TermsAndConditions, {
    terms: terms,
    className: "terms-and-conditions-card-stars"
  }))) : null);
};